Debian Bug report logs - #523120
live-initramfs: plainroot is impossible

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Hamish <hamish_b@yahoo.com>

Date: Wed, 8 Apr 2009 16:57:02 UTC

Severity: normal

Found in version live-initramfs/1.156.1-1

Fixed in version live-initramfs/1.157.3-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#523120; Package live-initramfs. (Wed, 08 Apr 2009 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hamish <hamish_b@yahoo.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 08 Apr 2009 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hamish <hamish_b@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: plainroot is impossible
Date: Thu, 09 Apr 2009 04:53:47 +1200
Package: live-initramfs
Version: 1.156.1-1
Severity: normal

Hi,

Due to a hosed IDE controler with bad DMA* I can't read the HD's 
MBR directly. So I am trying to boot from a standard live-helper 
CD with root=/dev/hda1 as a boot option. It boots the live disk as
root instead so I looked in live-initramfs/scripts/live and see
that PLAIN_ROOT (boot option 'plainroot') has to be set in order
for $livefs_root to be set to what I gave for ${ROOT}.

but if I set the 'plainroot' boot command it panics with
  "No supported filesystem images found at /live."
which comes from the mount_images_in_directory() fn.

[*] I'm also fighting with bug #442333 for the ide=nodma issues...

I could set the live-media-path= boot option to "" (or perhaps "/boot")
to avoid it looking for a "live" directory but then I get stuck at 
trying to match *.squashfs et al. in an unmounted /dev/hda1 which 
wouldn't find anything with one of those extensions even if it were 
mounted.

so some missing logic in scripts/live to allow plainroot to work?


thanks,
Hamish

-- Package-specific info:

-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-initramfs depends on:
ii  busybox                       1:1.10.2-2 Tiny utilities for small and embed
ii  file                          4.26-1     Determines file type using "magic"
ii  initramfs-tools               0.92o      tools for generating an initramfs
ii  sudo                          1.6.9p17-2 Provide limited super user privile
ii  udev                          0.125-7    /dev/ and hotplug management daemo
ii  user-setup                    1.23       Set up initial user and password

Versions of packages live-initramfs recommends:
ii  eject                       2.1.5+deb1-4 ejects CDs and operates CD-Changer
ii  uuid-runtime                1.41.3-1     universally unique id library
ii  wget                        1.11.4-2     retrieves files from the web

Versions of packages live-initramfs suggests:
pn  curlftpfs                     <none>     (no description available)
pn  genext2fs                     <none>     (no description available)
pn  httpfs2                       <none>     (no description available)
pn  loop-aes-utils                <none>     (no description available)
pn  mtd-tools                     <none>     (no description available)
pn  squashfs-tools                <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#523120; Package live-initramfs. (Sat, 01 Aug 2009 11:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 01 Aug 2009 11:30:02 GMT) Full text and rfc822 format available.

Message #10 received at 523120@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 523120-submitter@bugs.debian.org
Cc: 523120@bugs.debian.org
Subject: Re: live-initramfs: plainroot is impossible
Date: Sat, 01 Aug 2009 13:21:54 +0200
tag 523120 pending
thanks

done in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 01 Aug 2009 11:30:04 GMT) Full text and rfc822 format available.

Message sent on to Hamish <hamish_b@yahoo.com>:
Bug#523120. (Sat, 01 Aug 2009 11:30:06 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 04 Sep 2009 22:15:09 GMT) Full text and rfc822 format available.

Notification sent to Hamish <hamish_b@yahoo.com>:
Bug acknowledged by developer. (Fri, 04 Sep 2009 22:15:09 GMT) Full text and rfc822 format available.

Message #20 received at 523120-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 523120-close@bugs.debian.org
Subject: Bug#523120: fixed in live-initramfs 1.157.3-1
Date: Fri, 04 Sep 2009 21:56:41 +0000
Source: live-initramfs
Source-Version: 1.157.3-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.157.3-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.3-1.diff.gz
live-initramfs_1.157.3-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.157.3-1.dsc
live-initramfs_1.157.3-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.157.3-1_all.deb
live-initramfs_1.157.3.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.157.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 523120@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Sep 2009 13:37:57 +0200
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.157.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 522383 523120 530128 532471 533046
Changes: 
 live-initramfs (1.157.3-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Initial commit for having support for swapfiles.
   * Initial commit for having support for persistency on luks.
 .
   [ Marco Amadori ]
   * Partition snapshots works again.
   * Added "whole partition" snapshot resync type.
   * Two return code consistency fix.
   * Improved an useful debug string.
   * Cleaned a bit the snapshot feature.
 .
   [ Steven Shiau ]
   * Making fetch to work with file on sub dir on tftp server.
 .
   [ Daniel Baumann ]
   * Avoiding echo bashism in live-initramfs.init by using printf instead
     (Closes: #530128).
   * Correcting wrong path when disabling anacron in 25configure_init,
     thanks to Rui Bernardo <rui.bernardo.pt@gmail.com> (Closes:
     #533046).
   * Removing disabling of postfix in 25configure_init, it's not
     appropriate for debian to do this by default. Thanks to Rui Bernardo
     <rui.bernardo.pt@gmail.com>.
   * Correcting typo in description of the ip boot parameter in live-
     initramfs manpage, thanks to Philippe Leledy <debian@leledy.fr>
     (Closes: #532471).
 .
   [ Marco Amadori ]
   * Removed two bashisms on live-snapshot.
 .
   [ Daniel Baumann ]
   * Correcting wrong abort logic in 21xdriver, thanks to Luigi Capriotti
     <l.capriotti@xbmc.org>.
 .
   [ Luigi Capriotti ]
   * Fixing possible invalid results from function where_is_mounted by
     returning more than one line inwhere_is_mounted();.
   * Fixing relaxed permissions of / in the live filesystem.
   * Fixing invalid mangling of /etc/event.d/tty.
   * Fixing typo in snapshot file list.
 .
   [ Daniel Baumann ]
   * Correcting cryptsetup calls for persistency on luks.
   * Copy live-installer-launcher desktop icon on users desktop.
   * Also updating USB device detection in initramfs script for linux
     2.6.29 and newer.
   * Adding missing pipe in cryptsetup call for persistency on luks
     partitions.
   * Making plainroot work (Closes: #523120).
 .
   [ Marco Amadori ]
   * persistent=nofiles fix (Closes: 522383).
 .
   [ Daniel Baumann ]
   * Looking for persistency partitions on luks devices only if we boot
     with persistent=cryptsetup.
   * Fail early in gnome-panel-data bottom script if gnome-panel-data is
     not installed.
   * Optimizing gnome-panel-data bottom script by leaving out the stupid
     things.
 .
   [ Richard Nelson ]
   * Allow for multiple but unique persistent media.
Checksums-Sha1: 
 187405481b0b51ed80b5554b88f48114184a30a8 1301 live-initramfs_1.157.3-1.dsc
 5c2320680dcfeef2d73299c9c3740c993bda9ae4 83662 live-initramfs_1.157.3.orig.tar.gz
 565ed03cc0d9b4f2473bc102becacde96b03818d 12545 live-initramfs_1.157.3-1.diff.gz
 aa2dba4918f17f7634437fd076b2ddb0780f1ae3 93656 live-initramfs_1.157.3-1_all.deb
Checksums-Sha256: 
 c5669d2f3d855689c0e1d694a2269804eaae7ca4333b31fb006ce5229efaf3d9 1301 live-initramfs_1.157.3-1.dsc
 d5d8bf60e8aabcce45763ff5f252500ccdafee2f44dc227a3caff7d5cbc69808 83662 live-initramfs_1.157.3.orig.tar.gz
 589f0bdb797ae2455bedcc4deb28ba29a172913af96032cfaa9025d129564055 12545 live-initramfs_1.157.3-1.diff.gz
 25b029a0ecf18c8c1dec03d820f9c3eee830b5a12a9c3b73773223feb6d7b19b 93656 live-initramfs_1.157.3-1_all.deb
Files: 
 8483673f35f1178ef2b945d0b4702d24 1301 misc optional live-initramfs_1.157.3-1.dsc
 3441e2ddf3d65e322e60a6e42df0fb76 83662 misc optional live-initramfs_1.157.3.orig.tar.gz
 e0fed27c4224acecea38cda781415e31 12545 misc optional live-initramfs_1.157.3-1.diff.gz
 3cb047dba385d05ef3c45026d6356bda 93656 misc optional live-initramfs_1.157.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqhWikACgkQ+C5cwEsrK55RYgCePDTzjgt87bzotOoRRhozIUik
TBcAnRJ6m8/ZddFjMlI5evkEkOBYNHdr
=zHOR
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Oct 2009 07:32:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:14:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.